*############### 9. VARIABLE INITIALISATION ##############################

$ontext
  This section initialises the values of the model variables by setting
them equal to the base values for the variables, as set in the
parameter calibration section above.

  Variable initialisation is important for 'helping' the solver and
for resetting variable values to the base values of the model.

  An alternative version of this code defines the initial values using
equations based on variable codes.

$offtext

*$INCLUDE r23_varinit_detailed.inc

*## INITIAL VALUES OF VARIABLES FROM PARAMETER SPECIFICATION

* ######## NORMALISED PRICE BLOCK
 PER.L(w,r)   = PER0(w,r) ;
 PE.L(r)      = PE0(r) ;

 PD.L(r)      = PD0(r) ;
 PMR.L(w,r)   = PMR0(w,r) ;
 PM.L(r)      = PM0(r) ;

 PX.L(r)      = PX0(r) ;

 PQS.L(r)     = PQS0(r) ;

 PT.L(r)      = PT0(r) ;

 ER.L(r)       = ER0(r) ;

* ######## TRADE BLOCK

* #### Exports Block

 PWE.L(w,r)   = PWE0(w,r) ;

 QD.L(r)      = QD0(r) ;
 QE.L(r)      = QE0(r) ;
 QER.L(w,r)   = QER0(w,r) ;

* #### Imports Block

 PWMFOB.L(w,r)= PWMFOB0(w,r) ;
 PWM.L(w,r)   = PWM0(w,r) ;

 QQ.L(r)      = QQ0(r) ;
 QM.L(r)      = QM0(r) ;
 QMR.L(w,r)   = QMR0(w,r) ;

* trade margin quantity

 QT.L(w,r)    = QT0(w,r) ;

* ######## COMMODITY PRICE BLOCK

 PQD.L(r)     = PQD0(r) ;

* ######## NUMERAIRE PRICE BLOCK

 CPI.L(r)       = CPI0(r) ;
 ERPI.L         = ERPI0 ;

* ######## PRODUCTION BLOCK

* CES aggregation functions for Level 1 of production nest

 PVA.L(r)    = PVA0(r) ;

 QX.L(r)     = QX0(r) ;

 ADX.L(r)    = adx0(r) ;

* Leontief aggregation functions for Level 1 of production nest

 QINT.L(r)   = QINT0(r) ;
 QVA.L(r)    = QVA0(r) ;

* CES aggregation functions for Level 2 of production nest

 ADVA.L(r)   = adva0(r) ;
 FD.L(f,r)   = FD0(f,r) ;
 FS.L(f,r)   = FS0(f,r) ;

 WF.L(f,r)   = WF0(f,r) ;

* Unemployment

 UNEMP.L(f,r)  = UNEMP0(f,r) ;

* ######## FACTOR BLOCK

 YF.L(f,r)      = YF0(f,r) ;
 YFDIST.L(f,r)  = YFDIST0(f,r) ;

 YFOUT.L(w,f,r) = YFOUT0(w,f,r) ;
 YFIN.L(f,w,r)  = YFIN0(f,w,r) ;

* ######## HOUSEHOLD BLOCK
* ## Household Income

 YH.L(r)      = YH0(r) ;

 REMITOUT.L(w,h,r) = REMITOUT0(w,h,r) ;
 REMITIN.L(h,w,r)  = REMITIN0(h,w,r) ;

* Household Expenditure

 QCD.L(r)     = QCD0(r) ;

* ######## GOVERNMENT BLOCK

* #### Government Income Block

* ## Government Taxes

 TS.L(r)      = TS0(r) ;
 TV.L(r)      = TV0(r) ;
 TM.L(w,r)    = TM0(w,r) ;
 TE.L(w,r)    = TE0(w,r) ;
 TX.L(r)      = TX0(r) ;
 TYF.L(f,r)   = TYF0(f,r) ;
 TYH.L(r)     = TYH0(r) ;
 TF.L(f,r)    = TF0(f,r) ;

 STAX.L(r)    = STAX0(r) ;
 VTAX.L(r)    = VTAX0(r) ;
 MTAX.L(r)    = MTAX0(r) ;
 ETAX.L(r)    = ETAX0(r) ;
 ITAX.L(r)    = ITAX0(r) ;
 FYTAX.L(r)   = FYTAX0(r) ;
 HTAX.L(r)    = HTAX0(r) ;
 FTAX.L(r)    = FTAX0(r) ;


* ## Government Income

 YG.L(r)      = YG0(r) ;

* #### Government Expenditure Block

 QGD.L(r)      = QGD0(r) ;
 EG.L(r)       = EG0(r) ;

* #### Aid Transactions

 AID_B_OUT.L(w,g,r)  = AID_B_OUT0(w,g,r) ;
 AID_B_IN.L(g,w,r)   = AID_B_IN0(g,w,r) ;

* ######## KAPITAL BLOCK

* ## Savings Block

 SHH.L(r)      = shh0(r) ;

 TOTSAV.L(r)   = TOTSAV0(r) ;

* ## Investment Block

 QINVD.L(r)    =  QINVD0(r) ;
 INVEST.L(r)   = INVEST0(r) ;

* ######## MARKET CLEARING BLOCK

* ##### Account Closure

 KAPGOV.L(r)    = KAPGOV0(r) ;
 KAPREG.L(w,r)  = KAPREG0(w,r) ;
 KAPWOR.L(r)    = KAPWOR0(r) ;

* #### Absorption Closure

 VFDOMD.L(r)    = VFDOMD0(r) ;
 INVESTSH.L(r)  = INVESTSH0(r) ;
 VGDSH.L(r)     =  VGDSH0(r) ;

* ##### Macroeconomic Aggregates

 GDP.L(r)       = GDP0(r) ;

* ##### Slack

 WALRAS.L(r)    = WALRAS0(r) ;
 KAPWORSYS.L    = KAPWORSYS0 ;
 GLOBESLACK.L   = GLOBESLACK0 ;
